FROM golang:1.14-buster
RUN apt-get update
RUN apt-get upgrade
RUN go get -u -v google.golang.org/grpc
RUN go get -u -v github.com/golang/protobuf/protoc-gen-go
RUN curl -sL -o /tmp/protoc.zip https://github.com/protocolbuffers/protobuf/releases/download/v3.11.4/protoc-3.11.4-linux-x86_64.zip
RUN apt-get install -y zip
RUN unzip /tmp/protoc.zip -d /opt/protoc
RUN ln -s /opt/protoc/bin/protoc /bin/protoc
WORKDIR /app
